Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
dung_can

[Yêu cầu] Lisp đo khoảng cách các điểm.

Các bài được khuyến nghị

dung_can    2

Chào các bác.

Các bác giúp em viết Lisp đo khoảng cách các điểm với cách đo như sau: khi thực hiện đo ta sẽ đạt được đồng thời cả kích thước DimlinearDimbaseline trong 1 lần đo.

Cụ thể là: yeucaulispdokichthuoc.png

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
mathan    57

Gửi bạn xài thử

;; Free lisp code from CADViet.com - Code by mathan
;; Dim nhanh
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:dimnh (/ )
(setq dimstyle1 "dim ngang") ;; Sua ten dimstyle tuong ung
(setq dimstyle2 "dim doc") ;; Sua ten dimstyle tuong ung
(setq p1 (getpoint "\nDiem 1..."))
(setq diemmoi (getpoint "\nDiem 2..."))
(setq p3 (getpoint "\nDiem dat dim..."))
(mathan p1 diemmoi)
(setq ktra "OK")
(while (= ktra "OK")
(setq diemcu diemmoi)
(setq diemmoi (getpoint "\nDiem dat dim..."))
(if (= diemmoi nil) (setq ktra "NOT OK") (mathan diemcu diemmoi))
)
)
;;;;;; Dim
(defun mathan ( diemdau diemcuoi / )
(command "-dimstyle" "r" dimstyle1 "")
(command "DIMLINEAR" diemdau diemcuoi p3 "" )
(command "-dimstyle" "r" dimstyle2 "")
(command "DIMLINEAR" p1 diemcuoi p3 "" )
)

Lưu ý: trong đó bạn phải tạo hai dimstyle cho 1 dim ngang và 1 dim dọc và sửa tên dimstyle vào vị trí đánh dấu trong lisp

Bạn có thể tham khảo file cad đính kèmhttp://www.cadviet.com/upfiles/3/102268_dim.dwg

  • Vote tăng 4

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
dung_can    2

Gửi bạn xài thử

;; Free lisp code from CADViet.com - Code by mathan
;; Dim nhanh
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:dimnh (/ )
(setq dimstyle1 "dim ngang") ;; Sua ten dimstyle tuong ung
(setq dimstyle2 "dim doc") ;; Sua ten dimstyle tuong ung
(setq p1 (getpoint "\nDiem 1..."))
(setq diemmoi (getpoint "\nDiem 2..."))
(setq p3 (getpoint "\nDiem dat dim..."))
(mathan p1 diemmoi)
(setq ktra "OK")
(while (= ktra "OK")
(setq diemcu diemmoi)
(setq diemmoi (getpoint "\nDiem dat dim..."))
(if (= diemmoi nil) (setq ktra "NOT OK") (mathan diemcu diemmoi))
)
)
;;;;;; Dim
(defun mathan ( diemdau diemcuoi / )
(command "-dimstyle" "r" dimstyle1 "")
(command "DIMLINEAR" diemdau diemcuoi p3 "" )
(command "-dimstyle" "r" dimstyle2 "")
(command "DIMLINEAR" p1 diemcuoi p3 "" )
)

Lưu ý: trong đó bạn phải tạo hai dimstyle cho 1 dim ngang và 1 dim dọc và sửa tên dimstyle vào vị trí đánh dấu trong lisp

Bạn có thể tham khảo file cad đính kèmhttp://www.cadviet.c.../102268_dim.dwg

Tuyệt vời quá, em cám ơn bác nhiều lắm.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×